## org.eclipse.jst.jsf.core.jsfappconfig
Class WebContentRelativeJSFAppConfigLocater

    java.lang.Object
      org.eclipse.jst.jsf.core.jsfappconfig.AbstractJSFAppConfigLocater
          org.eclipse.jst.jsf.core.jsfappconfig.WebContentRelativeJSFAppConfigLocater

All Implemented Interfaces:
  IJSFAppConfigLocater

Direct Known Subclasses:
  ContextParamSpecifiedJSFAppConfigLocater, DefaultJSFAppConfigLocater

    public abstract class WebContentRelativeJSFAppConfigLocater

extends AbstractJSFAppConfigLocater

WebContentRelativeJSFAppConfigLocater is an abstract base class that attempts to locate specified application configuration files relative to a web content folder. Subclasses must override the getFilenames() method to return a list of filenames that the locateProviders() method will attempt to locate, and call locateProviders().

Provisional API - subject to change

Constructor Summary
`WebContentRelativeJSFAppConfigLocater()`

Method Summary
`void` `locateProviders()` Locates application configuration resources specified by the filenames (relative to the web content folder) returned by getFilenames(), and updates the set of `IJSFAppConfigProvider` instances accordingly.

Methods inherited from class org.eclipse.jst.jsf.core.jsfappconfig.AbstractJSFAppConfigLocater
`dispose, getJSFAppConfigManager, getJSFAppConfigProviders, setJSFAppConfigManager, startLocating, stopLocating`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WebContentRelativeJSFAppConfigLocater

    public WebContentRelativeJSFAppConfigLocater()

Method Detail

### locateProviders

    public void locateProviders()

  Locates application configuration resources specified by the filenames (relative to the web content folder) returned by getFilenames(), and updates the set of `IJSFAppConfigProvider` instances accordingly.